FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu Development

 
 
LinkBack Thread Tools
 
Old 02-04-2008, 10:34 PM
"Bryan Quigley"
 
Default Alpha 4 freeze ahead

> > why not include it by default early

> > on to get more testing?
>
> Indeed +1

Or not....
Many addons are still not compatible....So?* This would help bring the ones included in Ubuntu that aren't compatable up to the light.* Plus, these are development builds.* Things are allowed to break.*

Also:http://www.oxymoronical.com/web/firefox/nightly


Why force users/testers to manually install and make FF 2.0 the default browser?FF 2.0 is currently the default browser in hardy.
By the same idea, we could install the previous versions of gnome and force users to install the up-to-date packages once they have it installed.


--
Ubuntu-devel-discuss mailing list
Ubuntu-devel-discuss@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel-discuss
 
Old 02-05-2008, 09:48 AM
"Conrad Knauer"
 
Default Alpha 4 freeze ahead

On Feb 4, 2008 5:34 PM, Bryan Quigley <gquigs@gmail.com> wrote:

> > > > why not include [Firefox 3 Beta] by default early on to get more testing?
> > >
> > > Indeed +1
> >
> > Or not....
> > Many addons are still not compatible....
> >
> So? This would help bring the ones included in Ubuntu that aren't
> compatable up to the light. Plus, these are development builds. Things are
> allowed to break.
> Also:http://www.oxymoronical.com/web/firefox/nightly

+1 since https://wiki.ubuntu.com/HardyHeron/Alpha4 states in BOLD text:

"This is still an alpha release. Do not install it on production
machines. The final stable version will be released in April 2008."

Pretty much by definition, FF3Beta is more stable than an Ubuntu alpha

(and we're not talking 'Microsoft Beta' here

> > Why force users/testers to manually install and make FF 2.0 the default browser?

[piggybacking]

See above Ubuntu wiki URL regarding Hardy *alpha* "users". One is
either *testing* Hardy, masochistic or foolish (or some combination
thereof

Regarding testers, 'Why force testers to manually install and make FF
3.0 the default browser?'

Also, consider the Firefox release cycle; they discontinue support for
major versions six months after the release of a new major version.
Hardy will be supported for three years. FF3 basically must be the
default browser to avoid (as much as possible) the unhappy situation
where Ubuntu is doing the security for Firefox instead of Mozilla
(consider Dapper still supports 1.5 even though Mozilla pulled support
for it in June 2007), so the more testing that can be done, the
better.

Six months from now would be until Aug. 2008; that's basically only as
long as we can guarantee that Mozilla will take care of FF2. Likely
the release will be soon, so I'm guessing that FF2 won't be supported
past the end of the year.

Also, even if FF3 isn't *quite* released in time for Hardy (though I'm
fairly certain it will), I think that it should still be made the
default and updated when FF3 becomes available (consider that Warty
shipped with a pre-1.0 version and updated after the fact). As I
recall, there was talk that the LTS release won't be Hardy per se, but
a point release shortly after that (e.g. 8.04.1?) where the big
wrinkles get ironed out.

CK

--
Ubuntu-devel-discuss mailing list
Ubuntu-devel-discuss@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel-discuss
 

Thread Tools




All times are GMT. The time now is 12:43 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org